Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 241346 - app-text/sablotron-1.0.3 runs eautoreconf in compile phase
Summary: app-text/sablotron-1.0.3 runs eautoreconf in compile phase
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo SGML herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bad-autotools
  Show dependency tree
 
Reported: 2008-10-11 12:22 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-06-02 09:51 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch fixing bug #226879, #234683 and #241346 (sablotron-1.0.3.ebuild.diff,1.36 KB, text/plain)
2008-11-11 15:21 UTC, Dustin Polke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-10-11 12:22:37 UTC
app-text:sablotron-1.0.3:20081005-201953.log: * QA Warning: running aclocal in compile phase
app-text:sablotron-1.0.3:20081005-201953.log: * QA Warning: running libtoolize in compile phase
app-text:sablotron-1.0.3:20081005-201953.log: * QA Warning: running aclocal in compile phase
app-text:sablotron-1.0.3:20081005-201953.log: * QA Warning: running autoconf in compile phase
app-text:sablotron-1.0.3:20081005-201953.log: * QA Warning: running autoheader in compile phase
app-text:sablotron-1.0.3:20081005-201953.log: * QA Warning: running automake in compile phase
Comment 1 Dustin Polke 2008-11-11 15:21:43 UTC
Created attachment 171425 [details]
Patch fixing bug #226879, #234683 and #241346

Attached patch fixes bug #234683 and #241346 "Running eautoreconf in compile phase" as well as bug #226879 "append-ldflags used to pass link libraries".

Maybe this patch finds its way into portage and the new version is a candidate for stabilizing, since all older versions lack the libexpat patch and thus break during linking with as-needed.

BR,
Dustin
Comment 2 Dustin Polke 2008-11-11 15:37:10 UTC
BTW,

is this still needed?

<quote>
# rphillips, fixes bug #3876
	# this is fixed for me with apache2, but keeping it in here
	# for apache1 users and/or until some clever detection
	# is added <obz@gentoo.org>
</quote>

apache1 has left the tree quite some time now (June 13, 2007)
Maybe you can drop the LIBS="-lstdc++" line completely by now.

BR, Dustin
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-02 09:51:45 UTC
Gha I did fix this in December and never remembered to close the bug. Sorry.